# Warning: This package is synchronized with Fedora!

%define		major 1
%define		api 1
%define		gir_major 1.0
%define		libname %mklibname ostree %{major}
%define		girname %mklibname ostree-gir %{gir_major}
%define		develname %mklibname -d ostree

Summary:	Tool for managing bootable, immutable filesystem trees
Name:		ostree
Version:	2022.4
Release:	%mkrel 2
Source0:	https://github.com/ostreedev/%{name}/releases/download/v%{version}/libostree-%{version}.tar.xz
Source1:	91-ostree.preset
Source2:	https://raw.githubusercontent.com/ostreedev/ostree/master/src/boot/ostree-finalize-staged.path
Group:		System/Configuration/Packaging
License:	LGPLv2+
URL:		https://ostree.readthedocs.io/en/latest/


BuildRequires:	git
# We always run autogen.sh
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	bison
# For docs
BuildRequires:	gtk-doc
# Core requirements
BuildRequires:	pkgconfig(libcurl)
# Ensure we don't get compat library
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	libattr-devel
# Extras
BuildRequires:	pkgconfig(mount)
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(libcrypto)
BuildRequires:	pkgconfig(mount)
BuildRequires:	pkgconfig(fuse3)
BuildRequires:	pkgconfig(e2p)
BuildRequires:	pkgconfig(libcap)
BuildRequires:	gpgme-devel
BuildRequires:	pkgconfig(gobject-introspection-1.0)

# Runtime requirements
Requires:	gnupg2

%description
OSTree is a tool for managing bootable, immutable, versioned
filesystem trees. While it takes over some of the roles of tradtional
"package managers" like dpkg and rpm, it is not a package system; nor
is it a tool for managing full disk images. Instead, it sits between
those levels, offering a blend of the advantages (and disadvantages)
of both.

%package -n %{develname}
Summary:	Development headers for %{name}
Group:		Development/Libraries
Requires:	%{name}%{?_isa} =  %{version}-%{release}

%description -n %{develname}
This package includes the header files for the %{name} library.

%prep
%setup -qn libostree-%{version}
%__cp %{SOURCE2} src/boot/ostree-finalize-staged.path

%build
env NOCONFIGURE=1 ./autogen.sh
%configure2_5x --disable-silent-rules \
	   --with-curl \
	   --with-openssl

%make_build

%install
%make_install
find %{buildroot} -name '*.la' -delete

rm -f %{buildroot}/usr/libexec/libostree/grub2-15_ostree
rm -f %{buildroot}/usr/libexec/libostree/ostree-trivial-httpd
rm -f %{buildroot}/%{_sysconfdir}/grub.d/*ostree
rm -f %buildroot/usr/libexec/libostree/s390x-se-luks-gencpio

%files
%{_bindir}/ostree
%{_bindir}/rofiles-fuse
%{_datadir}/ostree
%{_datadir}/bash-completion/completions/*
%{_sysconfdir}/ostree
%{_mandir}/man*/*.*
%{_prefix}/lib/ostree/ostree-prepare-root
%{_libdir}/lib%{name}-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/OSTree-%{gir_major}.typelib

%files -n %{develname}
%{_libdir}/lib*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0/OSTree-1.0.gir

%changelog
* Sat Oct 15 2022 tex - 2022.4-2pclos2022
- rebuild against updates

* Fri Jul 01 2022 tex - 20222.4-1pclos2022
- new version

* Wed May 01 2019 tex 2019.2-1pclos2019
- Update to version 2019.2
